<?php

/**
 *
 * $Id: interface.TaskInterface.php,v 1.1 2005/04/21 00:12:01 dgorski Exp $
 *
 * This file is part of coWiki. coWiki is free software under the terms of
 * the GNU General Public License (GPL). Read the LICENSE file. If you did
 * not receive a copy of the license and are not able to obtain it through
 * the internet, please send a note to <license@cowiki.org> so we can mail
 * you a copy immediately.
 *
 * @package     htdocs
 * @subpackage  setup
 * @access      public
 *
 * @author      Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @copyright   (C) Daniel T. Gorski, {@link http://www.develnet.org}
 * @license     http://www.gnu.org/licenses/gpl.html
 * @version     $Revision: 1.1 $
 *
 */

/**
 * Task interface
 *
 * @package     htdocs
 * @access      public
 *
 * @author      Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @since       coWiki 0.4.0
 */
interface TaskInterface {

    function isRequired();
    function validate();
    function render();

} // of interface

/*
    Words come easy
    Behind a screen
    When there's no interface-to-face
    To be seen

    King of insects
    You eat your own
    Atop an anthill
    You call your throne

    Kingdom of one
    So unaware
    As one-by-one your subjects
    Vanish into air

    Chatter to the wind
    Make your decree
    And save your venom
    For the ones who disagree

    Your castle walls are falling
    Your body's frail
    Your window on the world
    Is minuscule in scale

    Burrow deep now
    Escape the light
    Heaven forbid you have to face
    The ones you slight
*/

?>